#ifndef E_FILE_H
#define E_FILE_H
#include <stdio.h>

extern e_obj_descriptor e_obj_descriptor_file;
#define E_IS_FILE (E_OBJ_DESCR(P) == e_obj_descriptor_file)
#define E_TYPE_FILE (&e_obj_descriptor_file)

typedef struct {
  e_obj h;         /* object header                   */
  e_string *file_name; /* File Name                    */  
  char *mode;      /* Open mode                       */
  FILE *fpt;       /* File pointer                    */
} e_file;

e_file *e_file_new(e_file *fp,e_string *fn,char *file_name,char *mode);
void e_file_free(void *fp);
void *e_file_to_string(void *fp,int tab,e_flag mode);
void *e_file_clone(void *fp,e_flag mode);
int e_file_equals(void *p1,void *p2);
int e_stat_file(char *filename);

#define E_FILE_FILENAME(P) (((e_file *)P)->file_name)
#define E_FILE_MODE(P) (((e_file *)P)->mode)
#define E_FILE_FPT(P) (((e_file *)P)->fpt)

#endif
