#ifndef EASY_H
#define EASY_H
#include<e_config.h>
#include<e_OS_dep.h>

/* Core objects and files */
#include<e_macros.h>
#include<e_types.h>
#include<e_error.h>
#include<e_parameter.h>
#include<e_init.h>
#include<e_string.h>
#include<e_name.h>

/* Atomic object, do not depend on anything but core objects */
#include<e_number.h>
#include<e_list.h>
#include<e_file.h>
#include<e_aset.h>

/* compound object */
#include<e_stack.h>
#include<e_charstream.h>
#include<e_tokeniser.h>

/* OS */
#include<e_exec.h>

/* tools */
#include<e_tools.h>

#endif
