#ifndef E_LIST_H
#define E_LIST_H
#include <stdio.h>

extern e_obj_descriptor e_obj_descriptor_list;
#define E_IS_LIST (E_OBJ_DESCR(P) == e_obj_descriptor_list)
#define E_TYPE_LIST (&e_obj_descriptor_list)

typedef struct e_l {
  e_obj h;           /* object header                   */
  void *val;         /* any object                      */
  struct e_l *next;  /* An e_list                       */
} e_list;

e_list *e_list_new(e_list *lp,void *val,e_list *next);
void e_list_free(void *lp);
void *e_list_to_string(void *lp,int tab,e_flag mode);
void *e_list_clone(void *lp,e_flag mode);
int e_list_equals(void *p1,void *p2);

#define E_LIST_VAL(P) (((e_list *)P)->val)
#define E_LIST_NEXT(P) (((e_list *)P)->next)

#endif
